Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 81)
@@ -84,9 +84,12 @@
                     case (int)TabNameEnum.MessageBoard:
                         ClearGridSortStatus(dgvMessageBoard);
                         break;
-                    case (int)TabNameEnum.DocumentApproval:
+                    case (int)TabNameEnum.ConstructApproval:
                         ClearGridSortStatus(dgvApproval);
                         break;
+                    case (int)TabNameEnum.PersonApproval:
+                        ClearGridSortStatus(dgvPersonApp);
+                        break;
                     case (int)TabNameEnum.SalesInProjects:
                         ClearGridSortStatus(dgvSalesInProjects);
                         break;
@@ -192,10 +195,14 @@
                         // 売上グラフ
                         DispSalesGraph();
                         break;
-                    case (int)TabNameEnum.DocumentApproval:
-                        // 書類承認
-                        DispDocumentApproval();
+                    case (int)TabNameEnum.ConstructApproval:
+                        // 工事承認
+                        DispConstrApp();
                         break;
+                    case (int)TabNameEnum.PersonApproval:
+                        // 担当者承認
+                        DispPersonApp();
+                        break;
                 }
             }
             catch (Exception ex)
@@ -297,12 +304,18 @@
                 //    return;
                 //}
 
+                // タブカウント取得
+                int tabPageCnt = tabMenu.TabPages.IndexOf(m_tabManager.PageArray[(int)MenuTabAssign.MentenanceMenu].TabPage);
+                if (tabPageCnt < 0) return;
+
+                // 設定色セット
                 Color SelectColor = CommonMotions.getBackForeColor(CommonMotions.LoginUserSecurity.SelectBackColor, CommonDefine.PalceOfColor.BackColor);
-                tabMenu.TabPages[(int)MenuTabAssign.MentenanceMenu].BackColor = SelectColor;
+                tabMenu.TabPages[tabPageCnt].BackColor = SelectColor;
                 tblLayoutMaster.BackColor = SelectColor;
+                
+                // タブ名セット
+                tabMenu.TabPages[tabPageCnt].Text = CommonMotions.LoginUserSecurity.SecName + "マスタ";
 
-                tabMenu.TabPages[(int)MenuTabAssign.MentenanceMenu].Text = CommonMotions.LoginUserSecurity.SecName + "マスタ";
-
                 // ボタンの作成
                 bool bCreateLine = false;
                 bool bFisrt = true;
@@ -325,7 +338,7 @@
                                     bFisrt = false;
                                 }
                                 // ボタンを作成する
-                                ButtonAdd(tblLayoutMaster, (ix * 2), wrkRec, 267, 44);
+                                ButtonAdd(tblLayoutMaster, (ix * 2), wrkRec, 267, s_MentenanceRowHeight - 4);
 
                                 bCreateLine = true;
                                 break;
@@ -349,6 +362,7 @@
         {
             try
             {
+                // ----- 受注管理
                 int None = (int)CommonDefine.SecurityRangePos.None;                 // 担当のみ
                 if (CommonMotions.LoginUserSecurity.SecRange == CommonDefine.SecurityRangeList[None].Key)
                 {
@@ -357,8 +371,43 @@
                 }
 
                 // 使用しないボタンを消す
-                // 受注管理
                 ButtonControlVisibleSet(tblLayoutOrder.Controls);
+
+                // システム管理者はすべて見せる
+                if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
+                    return;
+
+                // 実行権限が無いものは表示しない
+                int editflg = 0;
+                int RowFalseCnt = 0;
+                string strButtonName = string.Empty;
+                bool bDsp = true;
+                for (int iy = 0; iy < OrderMenuButton.GetLength(0); iy++)
+                {
+                    RowFalseCnt = 0;
+                    for (int ix = 0; ix < OrderMenuButton.GetLength(1); ix++)
+                    {
+                        // ボタンをさがす。
+                        strButtonName = string.Format("{0}{1}{2}", s_btnOrder, iy.ToString("00"), ix.ToString("00"));
+                        Control[] findCtrl = this.Controls.Find(strButtonName, true);
+                        // ボタンが無ければ処理しない
+                        if (findCtrl.Length < 1) continue;
+
+                        if (ClsSecurityPermission.GetExecutePermission(OrderMenuButton[iy, ix], ref editflg))
+                        {
+                            // ボタンが見つかれば、表示を変更する
+                            bDsp = true;
+                        }
+                        else
+                        {
+                            // ボタンが見つかれば、表示を変更する
+                            bDsp = false;
+                            RowFalseCnt++;
+                        }
+                        // ボタンが見つかれば、表示を変更する
+                        ((Button)findCtrl[0]).Visible = bDsp;
+                    }
+                }
             }
             catch (Exception ex)
             {
@@ -368,6 +417,7 @@
         #endregion
 
         #region 施工管理タブメニュー表示制御
+        #region 施工管理タブメニュー表示制御
         /// <summary>
         /// 施工管理タブメニュー表示制御
         /// </summary>
@@ -375,25 +425,119 @@
         {
             try
             {
+                // ----- 施工管理
+                tblLayoutConstruction.Width = pnlConstruction.Width - 20;
+
                 // 使用しないボタンを消す
-                // 施工管理
                 ButtonControlVisibleSet(tblLayoutConstruction.Controls);
 
-                tblLayoutConstruction.Width = pnlConstruction.Width - 20;
+                // システム管理者はすべて見せる
+                if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
+                    return;
+                
+                // 実行権限が無いものは表示しない
+                int editflg = 0;
+                int RowTrueCnt = 0;
+                int From = 0;
+                int To = 0;
+                float hSize = 0F;
+                string strButtonName = string.Empty;
+                bool bDsp = true;
+                for (int iy = 0; iy < ConstrMenuButton.GetLength(0); iy++)
+                {
+                    RowTrueCnt = 0;
+                    for (int ix = 0; ix < ConstrMenuButton.GetLength(1); ix++)
+                    {
+                        // ボタンをさがす。
+                        strButtonName = string.Format("{0}{1}{2}", s_btnConstrction, iy.ToString("00"), ix.ToString("00"));
+                        Control[] findCtrl = this.Controls.Find(strButtonName, true);
+                        // ボタンが無ければ処理しない
+                        if (findCtrl.Length < 1) continue;
 
-                // 一般ユーザーは出納帳入力を表示しない
-                if (CommonMotions.LoginUserSecurity.SecRange == (int)CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key)
+                        if (ClsSecurityPermission.GetExecutePermission(ConstrMenuButton[iy, ix], ref editflg))
+                        {
+                            bDsp = true;
+                            RowTrueCnt++;
+                        }
+                        else
+                        {
+                            bDsp = false;
+                        }
+                        // ボタンが見つかれば、表示を変更する
+                        ((Button)findCtrl[0]).Visible = bDsp;
+                        
+                        // 各業者・職人支払い管理は個別ラベルがある
+                        switch (iy)
+                        {
+                            case 11:
+                                switch (ix)
+                                {
+                                    case 0:
+                                        lblConstr1102.Visible = bDsp;
+                                        break;
+                                    case 1:
+                                        lblConstr1103.Visible = bDsp;
+                                        break;
+                                }
+                                break;
+                        }
+                    }
+                    // テーブル行取得
+                    ConstrArrayToRow(iy, ref From, ref To);
+                    // 行の表示非表示
+                    if (RowTrueCnt == 0) hSize = 0F; else hSize = s_ConstrRowHeight;
+                    // タイトルラベルと行の表示を制御する
+                    DispConstrRow(iy, From, To, hSize);
+                }
+                // 施工管理タブレイアウト最終調整
+                ConstrTabLayout();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 施工管理タブ配列位置をテーブルレイアウト行に変換する
+        /// <summary>
+        /// 施工管理タブ配列位置をテーブルレイアウト行に変換する
+        /// </summary>
+        /// <param name="ArrayCnt"></param>
+        /// <param name="From"></param>
+        /// <param name="To"></param>
+        private void ConstrArrayToRow(int ArrayCnt, ref int From, ref int To)
+        {
+            try
+            {
+                From = (ArrayCnt * 2);
+                To = (ArrayCnt * 2);
+
+                if (ArrayCnt < 3)
                 {
-                    label63.Visible = false;
-                    label64.Visible = false;
-                    btnConstruction1200.Visible = false;
+                    From += 1;
+                    To += 2;
                 }
-                else
+                else if (3 <= ArrayCnt && ArrayCnt < 9)
                 {
-                    label63.Visible = true;
-                    label64.Visible = true;
-                    btnConstruction1200.Visible = true;
+                    From += 3;
+                    To += 4;
                 }
+                else if (9 <= ArrayCnt && ArrayCnt < 11)
+                {
+                    From += 5;
+                    To += 6;
+                }
+                else if (11 <= ArrayCnt && ArrayCnt < 12)
+                {
+                    From += 7;
+                    To += 8;
+                }
+                else if (12 <= ArrayCnt && ArrayCnt < 13)
+                {
+                    From += 9;
+                    To += 10;
+                }
             }
             catch (Exception ex)
             {
@@ -402,7 +546,191 @@
         }
         #endregion
 
+        #region 施工管理タブ：タイトルラベルと行の表示を制御する
+        /// <summary>
+        /// 施工管理タブ：タイトルラベルと行の表示を制御する
+        /// </summary>
+        /// <param name="From"></param>
+        /// <param name="To"></param>
+        /// <param name="HeightSize"></param>
+        private void DispConstrRow(int ArrayCnt, int From, int To, float HeightSize)
+        {
+            try
+            {
+                bool bDsp = true;
+                if (HeightSize == 0F) bDsp = false;
+
+                for (int iy = From; iy <= To; iy++)
+                {
+                    if (tblLayoutConstruction.RowCount <= iy) continue;
+                    // 行サイズを変更する
+                    tblLayoutConstruction.RowStyles[iy] = new RowStyle(SizeType.Absolute, HeightSize);
+                }
+
+                // ラベルをさがす。
+                DispConstrLabel(ArrayCnt, bDsp);            
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 施工管理タブ：業付随のラベルを消す
+        /// <summary>
+        /// 施工管理タブ：業付随のラベルを消す
+        /// </summary>
+        /// <param name="ArrayCnt"></param>
+        /// <param name="bDsp"></param>
+        private void DispConstrLabel(int ArrayCnt, bool bDsp)
+        {
+            try
+            {
+                switch (ArrayCnt)
+                {
+                    case 0:
+                        lblConstr00.Visible = bDsp;
+                        break;
+                    case 1:
+                        lblConstr01.Visible = bDsp;
+                        lblConstr0102.Visible = bDsp;
+                        break;
+                    case 2:
+                        lblConstr02.Visible = bDsp;
+                        lblConstr0202.Visible = bDsp;
+                        break;
+                    case 3:
+                        lblConstr03.Visible = bDsp;
+                        break;
+                    case 4:
+                        lblConstr04.Visible = bDsp;
+                        break;
+                    case 5:
+                        lblConstr05.Visible = bDsp;
+                        lblConstr0502.Visible = bDsp;
+                        break;
+                    case 6:
+                        lblConstr06.Visible = bDsp;
+                        lblConstr0602.Visible = bDsp;
+                        break;
+                    case 8:
+                        lblConstr08.Visible = bDsp;
+                        lblConstr0802.Visible = bDsp;
+                        break;
+                    case 9:
+                        lblConstr09.Visible = bDsp;
+                        break;
+                    case 10:
+                        lblConstr10.Visible = bDsp;
+                        break;
+                    case 11:
+                        lblConstr11.Visible = bDsp;
+                        lblConstr1102.Visible = bDsp;
+                        break;
+                    case 12:
+                        lblConstr12.Visible = bDsp;
+                        break;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 施工管理タブ：テーブルレイアウトの全体調整
+        /// <summary>
+        /// 施工管理タブ：テーブルレイアウトの全体調整
+        /// </summary>
+        private void ConstrTabLayout()
+        {
+            try
+            {
+                // ----- ブロックの表示状態を取得する
+                int LoopFrom = 0;
+                int LoopTo = 0;
+                for (int ix = 0; ix < 5; ix++)
+                {
+                    switch (ix)
+                    {
+                        case 0:
+                            LoopFrom = 0; LoopTo = 7;
+                            break;
+                        case 1:
+                            LoopFrom = 8; LoopTo = 21;
+                            break;
+                        case 2:
+                            LoopFrom = 22; LoopTo = 27;
+                            break;
+                        case 3:
+                            LoopFrom = 28; LoopTo = 31;
+                            break;
+                        case 4:
+                            LoopFrom = 32; LoopTo = 34;
+                            break;
+                    }
+                    bool bBlock = false;
+                    bool bDsp = false;
+                    float fHSize = 0F;
+                    // 行の高さをチェックする
+                    for (int i = (LoopFrom + 1); i < LoopTo; i++)
+                    {
+                        if (tblLayoutConstruction.RowStyles[i].Height != 0F) bBlock = true;
+                    }
+                    // 表示されている行が無ければブロックを表示しない
+                    if (bBlock)
+                    {
+                        bDsp = true;
+                        fHSize = s_ConstrRowHeight;
+                    }
+                    // タイトル・ラインの表示制御
+                    switch (ix)
+                    {
+                        case 0:
+                            lblConstrTitle01.Visible = bDsp;
+                            lblConstrLine01.Visible = bDsp;
+                            break;
+                        case 1:
+                            lblConstrTitle02.Visible = bDsp;
+                            lblConstrLine02.Visible = bDsp;
+                            break;
+                        case 2:
+                            lblConstrTitle03.Visible = bDsp;
+                            lblConstrLine03.Visible = bDsp;
+                            break;
+                        case 3:
+                            lblConstrTitle04.Visible = bDsp;
+                            lblConstrLine04.Visible = bDsp;
+                            break;
+                        case 4:
+                            lblConstrTitle05.Visible = bDsp;
+                            break;
+                    }
+                    // タイトル・ラインの行の表示制御
+                    tblLayoutConstruction.RowStyles[LoopFrom] = new RowStyle(SizeType.Absolute, fHSize);
+                    if (ix < 4) tblLayoutConstruction.RowStyles[LoopTo] = new RowStyle(SizeType.Absolute, fHSize);
+                }
+
+                // ----- テーブルレイアウトの高さを変更する
+                int RowCnt = 0;
+                for (int i = 0; i < tblLayoutConstruction.RowCount; i++)
+                {
+                    if (tblLayoutConstruction.RowStyles[i].Height != 0F) RowCnt++;
+                }
+                tblLayoutConstruction.Height = (int)s_ConstrRowHeight * RowCnt;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+        #endregion
+
         #region 総務管理タブメニュー表示制御
+        #region 総務管理タブメニュー表示制御
         /// <summary>
         /// 総務管理タブメニュー表示制御
         /// </summary>
@@ -410,12 +738,76 @@
         {
             try
             {
+                // ----- 総務管理
+                tblLayoutAffairs.Width = pnlAffairs.Width - 20;
+
                 // 使用しないボタンを消す
-                // 総務管理
-                ButtonControlVisibleSet(tableLayoutAffairs.Controls);
+                ButtonControlVisibleSet(tblLayoutAffairs.Controls);
 
-                tableLayoutAffairs.Width = pnlAffairs.Width - 20;
+                // システム管理者はすべて見せる
+                if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
+                    return;
 
+                // 実行権限が無いものは表示しない
+                int editflg = 0;
+                int RowTrueCnt = 0;
+                int From = 0;
+                int To = 0;
+                float hSize = 0F;
+                string strButtonName = string.Empty;
+                bool bDsp = true;
+                for (int iy = 0; iy < AffairsMenuButton.GetLength(0); iy++)
+                {
+                    RowTrueCnt = 0;
+                    for (int ix = 0; ix < AffairsMenuButton.GetLength(1); ix++)
+                    {
+                        // ボタンをさがす。
+                        strButtonName = string.Format("{0}{1}{2}", s_btnAffairs, iy.ToString("00"), ix.ToString("00"));
+                        Control[] findCtrl = this.Controls.Find(strButtonName, true);
+                        // ボタンが無ければ処理しない
+                        if (findCtrl.Length < 1) continue;
+
+                        if (ClsSecurityPermission.GetExecutePermission(AffairsMenuButton[iy, ix], ref editflg))
+                        {
+                            bDsp = true;
+                            RowTrueCnt++;
+                        }
+                        else
+                        {
+                            bDsp = false;
+                        }
+                        // ボタンが見つかれば、表示を変更する
+                        ((Button)findCtrl[0]).Visible = bDsp;
+
+                        // 請求関係入力管理は個別ラベルがある
+                        switch (iy)
+                        {
+                            case 4:
+                                switch (ix)
+                                {
+                                    case 0:
+                                        lblAffairs0402.Visible = bDsp;
+                                        break;
+                                    case 1:
+                                        lblAffairs0403.Visible = bDsp;
+                                        break;
+                                    case 4:
+                                        lblAffairs0404.Visible = bDsp;
+                                        break;
+                                }
+                                break;
+                        }
+                    }
+                    // テーブル行取得
+                    AffairsArrayToRow(iy, ref From, ref To);
+                    // 行の表示非表示
+                    if (RowTrueCnt == 0) hSize = 0F; else hSize = s_ConstrRowHeight;
+                    // タイトルラベルと行の表示を制御する
+                    DispAffairsRow(iy, From, To, hSize);
+                }
+                // 総務管理タブレイアウト最終調整
+                AffairsTabLayout();
+
             }
             catch (Exception ex)
             {
@@ -424,6 +816,248 @@
         }
         #endregion
 
+        #region 総務管理タブ配列位置をテーブルレイアウト行に変換する
+        /// <summary>
+        /// 総務管理タブ配列位置をテーブルレイアウト行に変換する
+        /// </summary>
+        /// <param name="ArrayCnt"></param>
+        /// <param name="From"></param>
+        /// <param name="To"></param>
+        private void AffairsArrayToRow(int ArrayCnt, ref int From, ref int To)
+        {
+            try
+            {
+                From = (ArrayCnt * 2);
+                To = (ArrayCnt * 2);
+
+                if (ArrayCnt < 2)
+                {
+                    From += 1;
+                    To += 2;
+                }
+                else if (2 <= ArrayCnt && ArrayCnt < 4)
+                {
+                    From += 3;
+                    To += 4;
+                }
+                else if (4 <= ArrayCnt && ArrayCnt < 5)
+                {
+                    From += 5;
+                    To += 6;
+                }
+                else if (5 <= ArrayCnt && ArrayCnt < 6)
+                {
+                    From += 7;
+                    To += 8;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 総務管理タブ：タイトルラベルと行の表示を制御する
+        /// <summary>
+        /// 総務管理タブ：タイトルラベルと行の表示を制御する
+        /// </summary>
+        /// <param name="From"></param>
+        /// <param name="To"></param>
+        /// <param name="HeightSize"></param>
+        private void DispAffairsRow(int ArrayCnt, int From, int To, float HeightSize)
+        {
+            try
+            {
+                bool bDsp = true;
+                if (HeightSize == 0F) bDsp = false;
+
+                for (int iy = From; iy <= To; iy++)
+                {
+                    if (tblLayoutAffairs.RowCount <= iy) continue;
+                    // 行サイズを変更する
+                    tblLayoutAffairs.RowStyles[iy] = new RowStyle(SizeType.Absolute, HeightSize);
+                }
+
+                // ラベルをさがす。
+                DispAffairsLabel(ArrayCnt, bDsp);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 総務管理タブ：業付随のラベルを消す
+        /// <summary>
+        /// 総務管理タブ：業付随のラベルを消す
+        /// </summary>
+        /// <param name="ArrayCnt"></param>
+        /// <param name="bDsp"></param>
+        private void DispAffairsLabel(int ArrayCnt, bool bDsp)
+        {
+            try
+            {
+                switch (ArrayCnt)
+                {
+                    case 0:
+                        lblAffairs00.Visible = bDsp;
+                        break;
+                    case 1:
+                        lblAffairs01.Visible = bDsp;
+                        lblConstr0102.Visible = bDsp;
+                        break;
+                    case 4:
+                        lblAffairs04.Visible = bDsp;
+                        break;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 総務管理タブ：テーブルレイアウトの全体調整
+        /// <summary>
+        /// 総務管理タブ：テーブルレイアウトの全体調整
+        /// </summary>
+        private void AffairsTabLayout()
+        {
+            try
+            {
+                // ----- ブロックの表示状態を取得する
+                int LoopFrom = 0;
+                int LoopTo = 0;
+                for (int ix = 0; ix < 4; ix++)
+                {
+                    switch (ix)
+                    {
+                        case 0:
+                            LoopFrom = 0; LoopTo = 5;
+                            break;
+                        case 1:
+                            LoopFrom = 6; LoopTo = 11;
+                            break;
+                        case 2:
+                            LoopFrom = 12; LoopTo = 15;
+                            break;
+                        case 3:
+                            LoopFrom = 16; LoopTo = 18;
+                            break;
+                    }
+                    bool bBlock = false;
+                    bool bDsp = false;
+                    float fHSize = 0F;
+                    // 行の高さをチェックする
+                    for (int i = (LoopFrom + 1); i < LoopTo; i++)
+                    {
+                        if (tblLayoutAffairs.RowStyles[i].Height != 0F) bBlock = true;
+                    }
+                    // 表示されている行が無ければブロックを表示しない
+                    if (bBlock)
+                    {
+                        bDsp = true;
+                        fHSize = s_AffairsRowHeight;
+                    }
+                    // タイトル・ラインの表示制御
+                    switch (ix)
+                    {
+                        case 0:
+                            lblAffairsTitle01.Visible = bDsp;
+                            lblAffairsLine01.Visible = bDsp;
+                            break;
+                        case 1:
+                            lblAffairsTitle02.Visible = bDsp;
+                            lblAffairsLine02.Visible = bDsp;
+                            break;
+                        case 2:
+                            lblAffairsTitle03.Visible = bDsp;
+                            lblAffairsLine03.Visible = bDsp;
+                            break;
+                        case 3:
+                            lblAffairsTitle04.Visible = bDsp;
+                            break;
+                    }
+                    // タイトル・ラインの行の表示制御
+                    tblLayoutAffairs.RowStyles[LoopFrom] = new RowStyle(SizeType.Absolute, fHSize);
+                    if (ix < 3) tblLayoutAffairs.RowStyles[LoopTo] = new RowStyle(SizeType.Absolute, fHSize);
+                }
+
+                // ----- テーブルレイアウトの高さを変更する
+                int RowCnt = 0;
+                for (int i = 0; i < tblLayoutAffairs.RowCount; i++)
+                {
+                    if (tblLayoutAffairs.RowStyles[i].Height != 0F) RowCnt++;
+                }
+                tblLayoutAffairs.Height = (int)s_AffairsRowHeight * RowCnt;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+        #endregion
+
+        #region 各種提出書類タブメニュー表示制御
+        /// <summary>
+        /// 各種提出書類タブメニュー表示制御
+        /// </summary>
+        private void DisplayDocApprovalTab()
+        {
+            try
+            {
+                // ----- 各種提出書類
+
+                // 使用しないボタンを消す
+                ButtonControlVisibleSet(tableLayoutDocuments.Controls);
+
+                // システム管理者はすべて見せる
+                if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
+                    return;
+
+                // 実行権限が無いものは表示しない
+                int editflg = 0;
+                int RowFalseCnt = 0;
+                string strButtonName = string.Empty;
+                bool bDsp = true;
+                for (int iy = 0; iy < DocAppMenuButton.GetLength(0); iy++)
+                {
+                    RowFalseCnt = 0;
+                    for (int ix = 0; ix < DocAppMenuButton.GetLength(1); ix++)
+                    {
+                        // ボタンをさがす。
+                        strButtonName = string.Format("{0}{1}{2}", s_btnDocApp, iy.ToString("00"), ix.ToString("00"));
+                        Control[] findCtrl = this.Controls.Find(strButtonName, true);
+                        // ボタンが無ければ処理しない
+                        if (findCtrl.Length < 1) continue;
+
+                        if (ClsSecurityPermission.GetExecutePermission(DocAppMenuButton[iy, ix], ref editflg))
+                        {
+                            // ボタンが見つかれば、表示を変更する
+                            bDsp = true;
+                        }
+                        else
+                        {
+                            // ボタンが見つかれば、表示を変更する
+                            bDsp = false;
+                            RowFalseCnt++;
+                        }
+                        // ボタンが見つかれば、表示を変更する
+                        ((Button)findCtrl[0]).Visible = bDsp;
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region タブページ表示制御
         /// <summary>
         /// 表示画面設定
@@ -432,10 +1066,7 @@
         {
             try
             {
-                // 使用しないボタンを消す
-                // 各種提出書類
-                ButtonControlVisibleSet(tableLayoutDocuments.Controls);
-
+                // ----- 使用しないボタンを消す
                 // 受注管理
                 DisplayOrdersTab();
 
@@ -445,6 +1076,9 @@
                 // 総務管理
                 DisplayAffairsTab();
 
+                // 各種提出書類
+                DisplayDocApprovalTab();
+
                 // マスタメンテナンス
                 DisplayDataMenteTab();
 
@@ -1010,7 +1644,8 @@
                 m_FormWidthSize = this.Width;
 
                 // グリッドの情報を取得する(タブ数分確保する)
-                int AllTabCount = Enum.GetNames(typeof(TabNameEnum)).Length;
+                //int AllTabCount = Enum.GetNames(typeof(TabNameEnum)).Length;
+                int AllTabCount = tabMenu.TabCount;
                 m_Alldgv = new DataGridView[AllTabCount];
                 m_GridWidthSize = new int[AllTabCount];
 
